from typing import Dict

from mneia_isbn.constants import _publishers as P

# This file is maintained manually, with information found on the Global Register of Publishers at:
# https://grp.isbn-international.org/content/using-register/358

PUBLISHERS: Dict[str, str] = {
    "978-618-00"    : P.SELF_PUBLISHED,
    "978-618-07"    : P.PATAKI,
    "978-618-223"   : P.ALEXANDRIA,
    "978-618-230"   : P.PANEPISTIMIAKES_KRITIS,
    "978-618-5010"  : P.METRONOMOS,
    "978-618-5029"  : P.ETHNOS,
    "978-618-5033"  : P.MENANDROS,
    "978-618-5118"  : P.EIKOSTOU_PROTOU,
    "978-618-5136"  : P.ANATOLIKOS,
    "978-618-5141"  : P.IANOS,
    "978-618-5339"  : P.METRONOMOS,
    "978-618-5346"  : P.ASINI,
    "978-618-5400"  : P.OPERA,
    "978-618-5447"  : P.MENANDROS,
    "978-618-5646"  : P.IANOS,
    "978-618-5748"  : P.METRONOMOS,
    "978-618-5799"  : P.ANATOLIKOS,
    "978-618-5868"  : P.EIKOSTOU_PROTOU,
    "978-618-5886"  : P.OGDOO,
    "978-618-82026" : P.EIKOSTOU_PROTOU,
    "978-618-80872" : P.ASINI,
    "978-618-82025" : P.OGDOO,
    "978-618-82884" : P.ASINI,
    "978-618-85809" : P.FISHBOWL,
    "978-618-86282" : P.OGDOO,
    "978-618-86949" : P.OGDOO,
    "978-87-635"    : P.MUSEUM_TUSCULANUM,  # Denmark
    "978-87-7289"   : P.MUSEUM_TUSCULANUM,  # Denmark
    "978-87-88073"  : P.MUSEUM_TUSCULANUM,  # Denmark
    "978-87-980131" : P.MUSEUM_TUSCULANUM,  # Denmark
    "978-960-01"    : P.GUTENBERG,
    "978-960-02"    : P.PAPAZISI,
    "978-960-14"    : P.LIVANI,
    "978-960-16"    : P.PATAKI,
    "978-960-93"    : P.SELF_PUBLISHED,
    "978-960-211"   : P.NEFELI,
    "978-960-221"   : P.ALEXANDRIA,
    "978-960-224"   : P.SYGCHRONOI_EPOCHI,
    "978-960-234"   : P.AGKYRA,
    "978-960-236"   : P.LIVANI,
    "978-960-293"   : P.PATAKI,
    "978-960-303"   : P.STOCHASTIS,
    "978-960-322"   : P.AIGOKEROS, 
    "978-960-360"   : P.PATAKI,
    "978-960-378"   : P.PATAKI,
    "978-960-398"   : P.SYGCHRONOI_ORIZONTES,
    "978-960-417"   : P.EMPEIRIA,
    "978-960-422"   : P.AGKYRA,
    "978-960-451"   : P.SYGCHRONOI_EPOCHI,
    "978-960-469"   : P.ALTER_EGO,
    "978-960-503"   : P.ALTER_EGO,
    "978-960-504"   : P.NEFELI,
    "978-960-524"   : P.PANEPISTIMIAKES_KRITIS,
    "978-960-540"   : P.TOUBIS,
    "978-960-547"   : P.AGKYRA,
    "978-960-574"   : P.TOUBIS,
    "978-960-577"   : P.ETHNOS,
    "978-960-600"   : P.PATAKI,
    "978-960-639"   : P.ALTER_EGO,
    "978-960-6731"  : P.ALTER_EGO,
    "978-960-6776"  : P.ALTER_EGO,
    "978-960-6882"  : P.IANOS,
    "978-960-7058"  : P.EIKOSTOU_PROTOU,
    "978-960-7073"  : P.OPERA,
    "978-960-7246"  : P.MEDUSA_SELAS,
    "978-960-7280"  : P.VIVLIOPELAGOS,
    "978-960-7309"  : P.PANEPISTIMIAKES_KRITIS,
    "978-960-7504"  : P.TOUBIS,
    "978-960-7538"  : P.ALTER_EGO,
    "978-960-7660"  : "Ίδρυμα Ακτία Νικόπολις",
    "978-960-7661"  : P.MENANDROS,
    "978-960-7662"  : "Εκδόσεις Μαγδαληνή Μαντά",
    "978-960-7663"  : "Δάφνη Επικοινωνίες",
    "978-960-7664"  : "Εκδόσεις Μπαζαίος",
    "978-960-7771"  : P.IANOS,
    "978-960-7827"  : P.IANOS,
    "978-960-7919"  : P.EMPEIRIA,
    "978-960-7984"  : P.SYGCHRONOI_ORIZONTES,
    "978-960-8162"  : P.ALTER_EGO,
    "978-960-8196"  : P.EMPEIRIA,
    "978-960-8219"  : P.EIKOSTOU_PROTOU,
    "978-960-8222"  : P.MYRTOS,
    "978-960-8305"  : P.ETHNOS,
    "978-960-8380"  : P.ALTER_EGO,
    "978-960-8397"  : P.OPERA,
    "978-960-8429"  : P.ANATOLIKOS,
    "978-960-8496"  : P.NTEFI,
    "978-960-85004" : P.MEDUSA_SELAS,
    "978-960-86231" : P.SYGCHRONOI_ORIZONTES,
    "978-960-88528" : P.METRONOMOS,
    "978-960-89748" : P.ASINI,
    "978-960-99366" : P.METRONOMOS,
}
